Set version to 2.13.14 and require Java 8

From Gerrit v2.13.14, Java 7 is not supported anymore
and the installer requires Java 8 as minimal version
to allow the setup of the Gerrit package.

Change-Id: I57276c6d698253b3a2cb4fc6d4aec2574f983b3c
diff --git a/docker/centos7/Makefile b/docker/centos7/Makefile
index b6a9ac6..c1284e2 100644
--- a/docker/centos7/Makefile
+++ b/docker/centos7/Makefile
@@ -1,7 +1,7 @@
 # Customise the following variable as Make parameters
 # to produce a yum.repo for a VENDOR distribution
 # Default values are pointing to GerritForge (www.gerritforge.com)
-VERSION=2.13.13
+VERSION=2.13.14
 RELEASE=1
 REPO_VERSION=1
 REPO_RELEASE=2
@@ -24,7 +24,7 @@
 
 # Install OpenJDK and Gerrit in two subsequent transactions
 # (pre-trans Gerrit script needs to have access to the Java command)
-RUN yum -y install java-1.7.0-openjdk
+RUN yum -y install java-1.8.0-openjdk
 RUN yum -y install gerrit-$(VERSION)-$(RELEASE)
 
 USER gerrit
diff --git a/docker/ubuntu15.04/Makefile b/docker/ubuntu15.04/Makefile
index d0402ad..71546c9 100644
--- a/docker/ubuntu15.04/Makefile
+++ b/docker/ubuntu15.04/Makefile
@@ -1,7 +1,7 @@
 # Customise the following variable as Make parameters
 # to produce a yum.repo for a VENDOR distribution
 # Default values are pointing to GerritForge (www.gerritforge.com)
-VERSION=2.13.13
+VERSION=2.13.14
 RELEASE=1
 VENDOR=GerritForge
 VENDOR_LC=$(shell echo $(VENDOR) | tr A-Z a-z)
@@ -27,7 +27,7 @@
 
 # Install OpenJDK and Gerrit in two subsequent transactions
 # (pre-trans Gerrit script needs to have access to the Java command)
-RUN apt-get -y install openjdk-7-jdk
+RUN apt-get -y install openjdk-8-jdk
 RUN apt-get -y install gerrit=$(VERSION)-$(RELEASE)
 
 USER gerrit
diff --git a/fpm/Makefile b/fpm/Makefile
index c9de612..b657a09 100644
--- a/fpm/Makefile
+++ b/fpm/Makefile
@@ -1,4 +1,4 @@
-VERSION=2.13.13
+VERSION=2.13.14
 URL=https://gerrit-releases.storage.googleapis.com/gerrit-$(VERSION).war
 CI_URL=https://gerrit-ci.gerritforge.com/
 RELEASE=1
diff --git a/fpm/scripts/before-install.sh b/fpm/scripts/before-install.sh
index 8c14336..ab5a0f6 100755
--- a/fpm/scripts/before-install.sh
+++ b/fpm/scripts/before-install.sh
@@ -23,11 +23,11 @@
 
 echo -n "Checking Java version ... "
 JAVA_VERSION=$(java -version 2>&1)
-[ $? != 0 ] && echo -e "NOT FOUND\nPlease install Java >= 1.7.0 and try again" && exit 2
+[ $? != 0 ] && echo -e "NOT FOUND\nPlease install Java >= 1.8.0 and try again" && exit 2
 
 VERSION=`expr "$JAVA_VERSION" : '.*"\(1.[0-9\.]*\)["_]'`
 echo "$VERSION"
-test "$VERSION" "<" "1.7" && echo "ERROR: java >= 1.7.0 required by Gerrit" && exit 3
+test "$VERSION" "<" "1.8" && echo "ERROR: java >= 1.8.0 required by Gerrit" && exit 3
 
 # Script is invoked even before upgrade, we need to stop Gerrit if active
 if [ -e /etc/init.d/gerrit ]
diff --git a/macOS/Makefile b/macOS/Makefile
index 84a82cb..b26f58b 100644
--- a/macOS/Makefile
+++ b/macOS/Makefile
@@ -1,4 +1,4 @@
-VERSION := 2.13.13
+VERSION := 2.13.14
 
 all: server